package org.studiorailgun.ai.conversation.parser.depend;

import edu.stanford.nlp.ling.IndexedWord;

/**
 * A linguistic adjunct
 */
public class Adjunct {
    
    /**
     * The root of the adjunct
     */
    IndexedWord root;

    /**
     * Constructor
     * @param root The root of the adjunct
     */
    public Adjunct(IndexedWord root){
        this.root = root;
    }

    /**
     * Gets the root of this adjunct
     * @return The root
     */
    public IndexedWord getRoot(){
        return root;
    }

}
